package models

type DosenBimbingan struct {
	ID            string `gorm:"type:uuid;primaryKey;default:gen_random_uuid()" json:"id"`
	PendaftaranID string `gorm:"type:uuid" json:"pendaftaranId"`
	DosenID       string `gorm:"type:uuid" json:"dosenId"`

	Pengguna      Pengguna      `gorm:"foreignKey:DosenID;references:ID"`
	PendaftaranTA PendaftaranTA `gorm:"foreignKey:PendaftaranID;references:ID"`
}

func (DosenBimbingan) TableName() string {
	return "dosen_bimbingan"
}
