package models

type PengujiSidsem struct {
	ID       string `gorm:"type:uuid;primaryKey;default:gen_random_uuid()" json:"id"`
	SidsemID string `gorm:"type:uuid" json:"sidsemId"`
	DosenID  string `gorm:"type:uuid" json:"dosenId"`

	PendaftaranSidSem PendaftaranSidSem `gorm:"foreignKey:SidsemID;references:ID"`
	Pengguna          Pengguna          `gorm:"foreignKey:DosenID;references:ID"`
}

func (PengujiSidsem) TableName() string {
	return "penguji_sidsem"
}
