package usecase

import "gitlab.informatika.org/k-01-11/graduit-be/src/module/batch_sidang/entity"

type BatchSidangRepository interface {
	NewBatchSidang(batchSidang entity.BatchSidang) (output entity.BatchSidang, err error)
	GetSidangBatches() (output []entity.BatchSidang, err error)
	DeleteBatch(id string) (entity.BatchSidang, error)
	GetBatchSidangCurrent() ([]entity.BatchSidang, error)
	SetLiveBatch(id string) (entity.BatchSidang, error)
	GetBatchSidangLive() ([]entity.BatchSidang, error)
}
