package models

type Berkas struct {
	ID             string `gorm:"type:uuid;primaryKey;default:gen_random_uuid();unique" json:"id"`
	IDBimbinganLog string `gorm:"column:id_bimbingan_log" json:"id_bimbingan_log"`
	Nama           string `gorm:"column:nama" json:"nama"`
	Link           string `gorm:"column:link" json:"link"`

	BimbinganLogs BimbinganLogs `gorm:"foreignKey:IDBimbinganLog;references:ID"`
}

func (Berkas) TableName() string {
	return "berkas"
}
