package models

type BerkasSidSem struct {
	ID                  string `gorm:"type:uuid;primaryKey;default:gen_random_uuid();unique" json:"id"`
	IDPendaftaranSidSem string `gorm:"column:id_pendaftaran_sid_sem" json:"id_pendaftaran_sidsem"`
	Nama                string `gorm:"column:nama" json:"nama"`
	Link                string `gorm:"column:link" json:"link"`

	PendaftaranSidSem PendaftaranSidSem `gorm:"foreignKey:IDPendaftaranSidSem;references:ID"`
}

func (BerkasSidSem) TableName() string {
	return "berkas_sidsem"
}
