package models

import "time"

type JadwalSeminar struct {
	Id          string `gorm:"type:uuid;primaryKey;default:gen_random_uuid()" json:"id"`
	IdMahasiswa string
	IdDosbing   string
	IdDosuji    string
	Ruang       string
	IdBatch     string
	Judul       string
	CreatedAt   time.Time `gorm:"autoCreateTime"` // Use this if you want to override the gorm.Model's CreatedAt
	ScheduledAt time.Time `gorm:"default:null"`   // Use this if you want to override the gorm.Model's CreatedAt

	Batch     BatchSeminar `gorm:"foreignKey:IdBatch;references:IdBatch"`
	Dosbing   Pengguna     `gorm:"foreignKey:IdDosbing;references:Id"`
	Dosuji1   Pengguna     `gorm:"foreignKey:IdDosuji;references:Id"`
	Mahasiswa Pengguna     `gorm:"foreignKey:IdMahasiswa;references:Id"`
}
