package models

const (
	schedulingSeminar = "scheduling_seminar"
)

type SchedulingSeminar struct {
	IDSeminar     string        `gorm:"column:id;primaryKey;foreignKey;references:Id;constraint:OnUpdate:CASCADE,OnDelete:SET NULL" json:"id"`
	Link          string        `gorm:"column:link" json:"link"`
	JadwalSeminar JadwalSeminar `gorm:"foreignKey:IDSeminar;references:Id"` // Adds a navigation property
}

func (SchedulingSeminar) TableName() string {
	return schedulingSeminar
}
